# FieldMultiplyStatAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FieldMultiplyStatAbAttr

Multiplies a Stat if the checked Pokemon lacks this ability. If this ability cannot stack, a BooleanHolder can be used to prevent this from stacking.

#### See

- applyFieldStatMultiplierAbAttrs
- applyFieldStat
- Utils.BooleanHolder

#### Hierarchy (View Summary)

- AbAttr
  - FieldMultiplyStatAbAttr

- Defined in src/data/ability.ts:1355

##### Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyFieldStat
canApply
canApplyFieldStat
getCondition
getTriggerMessage

## Constructors

### constructor

- new FieldMultiplyStatAbAttr(
  stat: Stat ,
  multiplier: number,
  canStack?: boolean,
  ): FieldMultiplyStatAbAttr

  #### Parameters

  - stat: Stat
  - multiplier: number
  - canStack: boolean = false

  #### Returns FieldMultiplyStatAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:1360

## Properties

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:199

### applyFieldStat

- applyFieldStat(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  stat: Stat ,
  statValue: NumberHolder ,
  checkedPokemon: default ,
  hasApplied: BooleanHolder ,
  args: any[],
  ): void

  applyFieldStat: Tries to multiply a Pokemon's Stat

  #### Parameters

  - pokemon: default

    `Pokemon` the Pokemon using this ability

  - passive: boolean

    boolean unused

  - simulated: boolean
  - stat: Stat

    `Stat` the type of the checked stat

  - statValue: NumberHolder

    `Utils.NumberHolder` the value of the checked stat

  - checkedPokemon: default

    `Pokemon` the Pokemon this ability is targeting

  - hasApplied: BooleanHolder

    `Utils.BooleanHolder` whether or not another multiplier has been applied to this stat

  - args: any[]

    {any[]} unused

  #### Returns void

  - Defined in src/data/ability.ts:1383

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from AbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyFieldStat

- canApplyFieldStat(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  stat: Stat ,
  statValue: NumberHolder ,
  checkedPokemon: default ,
  hasApplied: BooleanHolder ,
  args: any[],
  ): boolean

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - stat: Stat
  - statValue: NumberHolder
  - checkedPokemon: default
  - hasApplied: BooleanHolder
  - args: any[]

  #### Returns boolean

  - Defined in src/data/ability.ts:1368

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTriggerMessage

- getTriggerMessage(
  _pokemon: default ,
  _abilityName: string,
  ..._args: any[],
  ): null | string

  #### Parameters

  - _pokemon: default
  - _abilityName: string
  - ..._args: any[]

  #### Returns null | string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:201